# OpalPresenceInfo Class Reference

`#include <pres_ent.h>`

Inheritance diagram for OpalPresenceInfo:

[legend]

## Public Types

| InternalError = -3
| Forbidden = -2
| NoPresence = -1
| Unchanged
| Available
| Unavailable
| ExtendedBase = 100
| UnknownExtended = ExtendedBase
| Appointment
| Away
| Breakfast
| Busy
| Dinner
| Holiday
| InTransit
| LookingForWork
| Lunch
| Meal
| Meeting
| OnThePhone
| Other
| Performance
| PermanentAbsence
| Playing
| Presentation
| Shopping
| Sleeping
| Spectator
| Steering
| Travel
| TV
| Vacation
| Working
| Worship

enum

State {
InternalError = -3, Forbidden = -2, NoPresence = -1, Unchanged,
Available, Unavailable, ExtendedBase = 100, UnknownExtended = ExtendedBase,
Appointment, Away, Breakfast, Busy,
Dinner, Holiday, InTransit, LookingForWork,
Lunch, Meal, Meeting, OnThePhone,
Other, Performance, PermanentAbsence, Playing,
Presentation, Shopping, Sleeping, Spectator,
Steering, Travel, TV, Vacation,
Working, Worship
}

| Presence states. More...

## Public Member Functions

| OpalPresenceInfo (State state=Unchanged)
PString | AsString () const
Comparison | Compare (const PObject &other) const

## Static Public Member Functions

static PString | AsString (State state)
static State | FromString (const PString &str)

## Data Fields

State | m_state
| New state for presentity.
PString | m_note
| Additional information about state change.
PURL | m_entity
| The presentity whose state had changed.
PURL | m_target
| The presentity that is being informed about the state change.
PTime | m_when
| Time/date of state change.

## Detailed Description

Presencu state information

## Member Enumeration Documentation

enum OpalPresenceInfo::State

Presence states.

Enumerator:

  InternalError |
  Forbidden |
  NoPresence |
  Unchanged |
  Available |
  Unavailable |
  ExtendedBase |
  UnknownExtended |
  Appointment |
  Away |
  Breakfast |
  Busy |
  Dinner |
  Holiday |
  InTransit |
  LookingForWork |
  Lunch |
  Meal |
  Meeting |
  OnThePhone |
  Other |
  Performance |
  PermanentAbsence |
  Playing |
  Presentation |
  Shopping |
  Sleeping |
  Spectator |
  Steering |
  Travel |
  TV |
  Vacation |
  Working |
  Worship |

## Constructor & Destructor Documentation

OpalPresenceInfo::OpalPresenceInfo | ( | State | state = `Unchanged` | ) | `[inline]`

## Member Function Documentation

PString OpalPresenceInfo::AsString | ( |  | ) | const

static PString OpalPresenceInfo::AsString | ( | State | state | ) | `[static]`

Comparison OpalPresenceInfo::Compare | ( | const PObject & | other | ) | const

static State OpalPresenceInfo::FromString | ( | const PString & | str | ) | `[static]`

## Field Documentation

PURL OpalPresenceInfo::m_entity

The presentity whose state had changed.

PString OpalPresenceInfo::m_note

Additional information about state change.

State OpalPresenceInfo::m_state

New state for presentity.

PURL OpalPresenceInfo::m_target

The presentity that is being informed about the state change.

PTime OpalPresenceInfo::m_when

Time/date of state change.

The documentation for this class was generated from the following file:

- pres_ent.h